#!/usr/bin/env python
""" Copyright (c) 2002-2003 LOGILAB S.A. (Paris, FRANCE).
http://www.logilab.fr/ -- mailto:contact@logilab.fr

Setup script
"""

__revision__ = "$Id: setup.py,v 1.6 2003/06/11 13:38:50 syt Exp $"

from distutils.core import setup
from distutils import util

def EnsureScripts(*linuxScripts):
    """
    Creates the proper script names required for each platform
    (taken from 4Suite)
    """
    scripts = linuxScripts
    if util.get_platform()[:3] == 'win':
        scripts = map(lambda s: s + '.bat', scripts)
    return scripts

from logilab.pylint.__pkginfo__ import modname, version, license, \
     short_desc, long_desc, web, author, author_email

if __name__ == '__main__' :
    setup(name = modname,
          version = version,
          license =license,
          description = short_desc,
          long_description = long_desc,
          author = author,
          author_email = author_email,
          url = web,
          packages = ['logilab',
                      'logilab.pylint',
#                      'logilab.pylint.test',
                      'logilab.pylint.checkers',
                      'logilab.pylint.reporters'],
          scripts = EnsureScripts('bin/pylint'),
          )

      
